aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorDevan Carpenter <devan@taler.net>2023-09-06 21:28:27 -0400
committerDevan Carpenter <devan@taler.net>2023-09-08 22:25:34 -0400
commit45e3209fa61873db192f02a223dc70464331568e (patch)
tree00ffdf7c43c8a74b4cc0318e61569ae536bb2406 /ci
parent70e8815fe89fdea8bf75977b7dff2faeea71adbd (diff)
downloadexchange-45e3209fa61873db192f02a223dc70464331568e.tar.gz
exchange-45e3209fa61873db192f02a223dc70464331568e.tar.bz2
exchange-45e3209fa61873db192f02a223dc70464331568e.zip
ci: add codespell job
Diffstat (limited to 'ci')
-rw-r--r--ci/jobs/0-codespell/config.ini5
-rw-r--r--ci/jobs/0-codespell/dictionary.txt44
-rwxr-xr-xci/jobs/0-codespell/job.sh6
-rwxr-xr-xci/jobs/1-build/build.sh (renamed from ci/jobs/0-build/build.sh)0
-rwxr-xr-xci/jobs/1-build/job.sh (renamed from ci/jobs/0-build/job.sh)0
-rwxr-xr-xci/jobs/2-test/job.sh (renamed from ci/jobs/1-test/job.sh)0
-rwxr-xr-xci/jobs/2-test/test.sh (renamed from ci/jobs/1-test/test.sh)0
-rwxr-xr-xci/jobs/3-docs/docs.sh (renamed from ci/jobs/2-docs/docs.sh)0
-rwxr-xr-xci/jobs/3-docs/job.sh (renamed from ci/jobs/2-docs/job.sh)0
-rw-r--r--ci/jobs/4-deb-package/install-fix.patch (renamed from ci/jobs/3-deb-package/install-fix.patch)0
-rwxr-xr-xci/jobs/4-deb-package/job.sh (renamed from ci/jobs/3-deb-package/job.sh)0
11 files changed, 55 insertions, 0 deletions
diff --git a/ci/jobs/0-codespell/config.ini b/ci/jobs/0-codespell/config.ini
new file mode 100644
index 000000000..1c52b6a1a
--- /dev/null
+++ b/ci/jobs/0-codespell/config.ini
@@ -0,0 +1,5 @@
+[build]
+HALT_ON_FAILURE = False
+WARN_ON_FAILURE = True
+CONTAINER_BUILD = False
+CONTAINER_NAME = nixery.dev/shell/codespell
diff --git a/ci/jobs/0-codespell/dictionary.txt b/ci/jobs/0-codespell/dictionary.txt
new file mode 100644
index 000000000..b4d643349
--- /dev/null
+++ b/ci/jobs/0-codespell/dictionary.txt
@@ -0,0 +1,44 @@
+# List of "words" that codespell should ignore in our sources.
+#
+# Note: The word sensitivity depends on how the to-be-ignored word is
+# spelled in codespell_lib/data/dictionary.txt. F.e. if there is a word
+# 'foo' and you add 'Foo' _here_, codespell will continue to complain
+# about 'Foo'.
+#
+BRE
+ND
+Nd
+TE
+TEH
+UPDATEing
+WAN
+aci
+acn
+ba
+bre
+cant
+complet
+doas
+ect
+ehr
+fo
+hel
+ifset
+ist
+keypair
+nd
+onl
+openin
+ot
+ser
+sie
+som
+sover
+te
+te
+teh
+tha
+ths
+updateing
+wan
+wih
diff --git a/ci/jobs/0-codespell/job.sh b/ci/jobs/0-codespell/job.sh
new file mode 100755
index 000000000..58bd07b5a
--- /dev/null
+++ b/ci/jobs/0-codespell/job.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -exuo pipefail
+
+job_dir=$(dirname "${BASH_SOURCE[0]}")
+
+codespell -I "${job_dir}"/dictionary.txt -S "*.bib,*.bst,*.cls,*.json,*.png,*.svg,*.wav,*.gz,*/templating/test?/**,**/auditor/*.sql,**/templating/mustach**,*.fees,*key,*.tag,*.info,*.latexmkrc,*.ecc,*.jpg,*.zkey,*.sqlite,*/contrib/hellos/**,*/vpn/tests/**,*.priv,*.file,*.tgz,*.woff,*.gif,*.odt,*.fee,*.deflate,*.dat,*.jpeg,*.eps,*.odg,*/m4/ax_lib_postgresql.m4,*/m4/libgcrypt.m4,*.rpath,config.status,ABOUT-NLS,*/doc/texinfo.tex,*.PNG,*.??.json,*.docx,*.ods,*.doc,*.docx,*.xcf,*.xlsx,*.ecc,*.ttf,*.woff2,*.eot,*.ttf,*.eot,*.mp4,*.pptx,*.epgz,*.min.js,**/*.map,**/fonts/**,*.pack.js,*.po,*.bbl,*/afl-tests/*,*/.git/**,*.pdf,*.epub,**/signing-key.asc,**/pnpm-lock.yaml,**/*.svg,**/*.cls,**/rfc.bib,**/*.bst,*/cbdc-es.tex,*/cbdc-it.tex,**/ExchangeSelection/example.ts,*/testcurl/test_tricky.c,*/i18n/strings.ts,*/src/anastasis-data.ts,**/doc/flows/main.de.tex"
diff --git a/ci/jobs/0-build/build.sh b/ci/jobs/1-build/build.sh
index b11374291..b11374291 100755
--- a/ci/jobs/0-build/build.sh
+++ b/ci/jobs/1-build/build.sh
diff --git a/ci/jobs/0-build/job.sh b/ci/jobs/1-build/job.sh
index 8d79902c5..8d79902c5 100755
--- a/ci/jobs/0-build/job.sh
+++ b/ci/jobs/1-build/job.sh
diff --git a/ci/jobs/1-test/job.sh b/ci/jobs/2-test/job.sh
index bfb24e335..bfb24e335 100755
--- a/ci/jobs/1-test/job.sh
+++ b/ci/jobs/2-test/job.sh
diff --git a/ci/jobs/1-test/test.sh b/ci/jobs/2-test/test.sh
index 6c3d2be21..6c3d2be21 100755
--- a/ci/jobs/1-test/test.sh
+++ b/ci/jobs/2-test/test.sh
diff --git a/ci/jobs/2-docs/docs.sh b/ci/jobs/3-docs/docs.sh
index fe2b96873..fe2b96873 100755
--- a/ci/jobs/2-docs/docs.sh
+++ b/ci/jobs/3-docs/docs.sh
diff --git a/ci/jobs/2-docs/job.sh b/ci/jobs/3-docs/job.sh
index a72bca4ba..a72bca4ba 100755
--- a/ci/jobs/2-docs/job.sh
+++ b/ci/jobs/3-docs/job.sh
diff --git a/ci/jobs/3-deb-package/install-fix.patch b/ci/jobs/4-deb-package/install-fix.patch
index 8334c5a7a..8334c5a7a 100644
--- a/ci/jobs/3-deb-package/install-fix.patch
+++ b/ci/jobs/4-deb-package/install-fix.patch
diff --git a/ci/jobs/3-deb-package/job.sh b/ci/jobs/4-deb-package/job.sh
index dc78cdf24..dc78cdf24 100755
--- a/ci/jobs/3-deb-package/job.sh
+++ b/ci/jobs/4-deb-package/job.sh